Node('flamesample2.psi.ch',
     'flame sample low and high thermometers and heater',
     interface = 'tcp://5000',
)

Mod('lscio',
    'frappy_psi.ls372.StringIO',
    'sample channels LS372 io',
    uri = 'flamedil-ls.psi.ch:7777',
)

Mod('lsc_channel',
    'frappy_psi.ls372.Switcher',
    'channel switcher sample ls372',
    io='lscio',
    value = 3,
)

Mod('ts_low',
    'frappy_psi.ls372.TemperatureLoop',
    'sample RuOX',
    channel = 3,
    switcher = 'lsc_channel',
    minrange=13,
    range=22,
    tolerance = 0.1,
    vexc = 3,
    htrrng=4,
)

Mod('ts_high',
    'frappy_psi.ls372.TemperatureLoop',
    'sample Cernox',
    channel = 1,
    switcher = 'lsc_channel',
    minrange=11,
    vexc = 5,
    range=22,
    tolerance = 0.1,
    htrrng=5,
    minheater=5e-4,
)

Mod('ts',
    'frappy_psi.parmod.SwitchDriv',
    'automatically switching between ts_low and ts_high',
    value=Param(unit='K'),
    low='ts_low',
    high='ts_high',
    #min_high=0.6035,
    #max_low=1.6965,
    min_high=0.6,
    max_low=1.7,
    tolerance=0.1,
)
